<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" template="./../plantillas/plantilla1.xhtml">

        <!-- Contenedor -->
        <ui:define name="content"><br/><br/><br/>
            
            <section>
                <div class="titulo1">Nuevo Alumno</div>
            </section>
                                    
            <section>
                <div class="row">
                    <div class="col-xs-2">
                        <label></label>
                    </div>
                    <div class="col-xs-8">
                        <h:form class="form-horizontal"><br/>
                            <!-- Panel -->
                            <div class="panel panel-default">
                                <div class="panel-body">

                                    <div class="form-group">
                                        <div class="col-lg-6">
                                            <p:outputLabel value="Nombres" style="width: 100%"/>
                                            <p:inputText id="nombre" value="#{alumnoBean.nuevoAlumno.alumnoNombre}" style="width: 100%" required="true"
                                                         requiredMessage="Escriba un nombre." validatorMessage="Escriba un nombre válido">
                                                <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                            </p:inputText>
                                            <p:message for="nombre"/>
                                        </div>
                                        <div class="col-lg-6">
                                            <p:outputLabel value="Apellidos" style="width: 100%"/>
                                            <p:inputText id="apellido" value="#{alumnoBean.nuevoAlumno.alumnoApellido}" style="width: 100%" required="true"
                                                         requiredMessage="Escriba un apellido." validatorMessage="Escriba un apellido válido">
                                                <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                            </p:inputText>
                                            <p:message for="apellido"/>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <p:outputLabel value="Dirección" style="width: 100%"/>
                                            <p:inputTextarea id="direccion" autoResize="false" rows="2" value="#{alumnoBean.nuevoAlumno.alumnoDireccion}" style="width: 100%"/>
                                            <p:message for="direccion"/>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-lg-3">
                                            <p:outputLabel value="Fecha Nac." style="width: 100%"/>
                                            <p:calendar id="fecha" value="#{alumnoBean.nuevoAlumno.alumnoFecha}" locale="es" size="10" mask="true" navigator="true" pattern="dd-MM-yyyy"/>
                                            <p:message for="fecha"/>
                                        </div>
                                        <div class="col-lg-3">
                                            <p:outputLabel value="Teléfono"  style="width: 100%"/>
                                            <p:inputMask id="telefono" value="#{alumnoBean.nuevoAlumno.alumnoTelefono}" mask="9999-9999" size="10"/>
                                            <p:message for="telefono"/>
                                        </div>
                                        <div class="col-lg-3">
                                            <p:outputLabel value="Grado" style="width: 100%"/>
                                            <p:selectOneMenu id="grado" value="#{alumnoBean.nuevoAlumno.gradoId}" style="width: 80%;" converter="#{gradoConvertidor}">
                                                <f:selectItem itemLabel="Seleccionar..." noSelectionOption="true" itemValue=""/>
                                                <f:selectItems value="#{alumnoBean.todosGrados()}" var="grado" itemLabel="#{grado.gradoNombre}" itemValue="#{grado}"/>
                                            </p:selectOneMenu>
                                            <p:message for="grado"/>
                                        </div>
                                        <div class="col-lg-3">
                                            <p:outputLabel value="Carnet"  style="width: 100%"/>
                                            <p:inputText id="carnet" value="#{alumnoBean.nuevoAlumno.alumnoCarnet}" size="10"
                                                         required="true" requiredMessage="Escriba un carnet"/>
                                            <p:message for="carnet"/>
                                        </div>
                                    </div><br/>

                                    <div class="row">
                                        <div class="col-lg-12" align="center">
                                            <a href="ver_alumnos.jsf" class="btn">Cancelar</a>
                                            <label> </label>
                                            <h:commandLink id="guardar" type="submit" value="Guardar" class="btn" action="#{alumnoBean.guardarAlumno()}"/>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </h:form>
                    </div>
                    <div class="col-xs-2">
                        <label></label>
                    </div>
                </div>

                <p:spacer height="70" />
            </section>
            
            
            
        </ui:define>
        
        <ui:define name="scripts">
            <script type="text/javascript">
            PrimeFaces.locales['es'] = {
                closeText: 'Cerrar',
                prevText: 'Anterior',
                nextText: 'Siguiente',
                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
                dayNamesMin: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                weekHeader: 'Semana',
                firstDay: 1,
                isRTL: false,
                showMonthAfterYear: false,
                yearSuffix: '',
                timeOnlyTitle: 'Sólo hora',
                timeText: 'Tiempo',
                hourText: 'Hora',
                minuteText: 'Minuto',
                secondText: 'Segundo',
                currentText: 'Fecha actual',
                ampm: false,
                month: 'Mes',
                week: 'Semana',
                day: 'Día',
                allDayText: 'Todo el día'
            };
            </script>
        </ui:define>
        
    </ui:composition>
</html>

